package com.kingdee.eas.custom.erp;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractsynPersonEnableToErpFacadeControllerBean extends AbstractBizControllerBean implements synPersonEnableToErpFacadeController
{
    protected AbstractsynPersonEnableToErpFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("848B08C5");
    }

    public void synPersonEnableToErp(Context ctx, String startDate, String endDate) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("3a72bcef-3aa9-4acf-864c-2db8c5916aec"), new Object[]{ctx, startDate, endDate});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _synPersonEnableToErp(ctx, startDate, endDate);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _synPersonEnableToErp(Context ctx, String startDate, String endDate) throws BOSException
    {    	
        return;
    }

}